Skip to main content
POST
/
vkyc
curl --request POST \
  --url https://sandbox.cashfree.com/verification/vkyc \
  --header 'Content-Type: application/json' \
  --header 'x-client-id: <api-key>' \
  --header 'x-client-secret: <api-key>' \
  --data '
{
  "verification_id": "vkyc_verification_id",
  "user_template": "vkyc_user_template",
  "agent_template": "vkyc_agent_template",
  "user_reference_id": 1234,
  "notification_types": [
    "sms",
    "email",
    "whatsapp"
  ]
}
'
{
  "verification_id": "vkyc_verification_id",
  "reference_id": 1358,
  "status": "RECEIVED",
  "sub_status": "LINK_GENERATED",
  "vkyc_link": "https://forms.cashfree.com/verification/s7ml5i0",
  "user_id": "vkyc_user_id1",
  "link_expiry": "2024-02-02T00:00:00.000Z",
  "aadhaar_details": {
    "last_verified_at": "2025-05-06 15:04:05",
    "care_of": "S/O: Fakkirappa Dollin",
    "dob": "02-02-1995",
    "gender": "M",
    "name": "Mallesh Fakkirappa Dollin",
    "address_details": {
      "country": "India",
      "dist": "Haveri",
      "house": "Shri Kanaka Nilaya",
      "pincode": 581115,
      "po": "Ranebennur",
      "state": "Karnataka",
      "street": "Umashankar Nagar 1st Main 5th Cross",
      "subdist": "Ranibennur",
      "vtc": "Ranibennur"
    },
    "photo_link": "<link where aadhaar image is hosted on merchants end>"
  }
}

Authorizations

x-client-id
string
header
required

Client ID. You can find your ID in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret key in the Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if IP is not whitelisted.

Body

application/json

Request parameters to generate Video KYC link.

verification_id
string
default:vkyc_verification_id
required

It is the unique ID you create to identify the verification request. The maximum character limit is 50. Only alphaumeric, period (.), hyphen (-), and underscore ( _ ) are allowed.

Example:

"vkyc_verification_id"

user_template
string
default:vkyc_standard_template

It is the name of users vkyc template.

Example:

"vkyc_standard_template"

agent_template
string
default:vkyc_agent_template

It is the name of agents vkyc template.

Example:

"vkyc_agent_template"

user_reference_id
integer
default:1358

It displays the unique ID created by Cashfree Payments for reference purposes.

Example:

1358

user_id
string
default:User0123

It is the unique ID you create to identify the user.

Example:

"User0123"

notification_types
string[]

Types of notifications.

Example:
["sms", "email", "whatsapp"]
aadhaar_details
object
security_questions
object

Response

Success response for retrieving the list of information associated with the mobile number.

verification_id
string

It displays the unique ID you created to identify the verification request.

Example:

"test053"

reference_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes.

Example:

10042

status
string

It displays the status of the API request.

Example:

"RECEIVED"

sub_status
string

It displays the sub status of the API request.

Example:

"LINK_GENERATED"

It displays the URL of the vKYC form to be filled by the user.

Example:

"https://forms.cashfree.com/verification/M8go0i1k9fvg"

The date on which the vKYC link will expire.

Example:

"2025-05-30T00:00:00.000Z"

aadhaar_details
object

Aadhaar information associated with the user.

security_questions
object[]

List of security questions and answers.